Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.notifier
Class EmailNotifierFacade

    java.lang.Object
      com.pmease.quickbuild.notifier.EmailNotifierFacade

All Implemented Interfaces:
  java.io.Serializable

public class EmailNotifierFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for EmailNotifier.

See Also:
  Serialized Form

Constructor Summary
`EmailNotifierFacade()`

Method Summary
`java.lang.String` | `getAdditionalResourceLoaderPath()` QuickBuild uses templates sub directory under its installation directory as the default resource loader path when evaluates Velocity template of this notifier.
`java.lang.String` | `getBodyTemplate()` Specify Velocity template for body of the notification mail.
`java.lang.String` | `getFilesToAttach()` Specify files to be sent as attachments.
`java.lang.String` | `getName()` OGNL: Specify name of this notifier.
`java.lang.String` | `getSubjectTemplate()` Specify Velocity template for title of the notification mail.
`void` | `setAdditionalResourceLoaderPath(java.lang.String additionalResourceLoaderPath)`
`void` | `setBodyTemplate(java.lang.String bodyTemplate)`
`void` | `setFilesToAttach(java.lang.String filesToAttach)`
`void` | `setName(java.lang.String name)`
`void` | `setSubjectTemplate(java.lang.String subjectTemplate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailNotifierFacade

    public EmailNotifierFacade()

Method Detail

### getSubjectTemplate

    public java.lang.String getSubjectTemplate()

  Specify Velocity template for title of the notification mail. Two variables are pre-defined: build means current build object, and system means current system object. Refer to user's guide for details.

### setSubjectTemplate

    public void setSubjectTemplate(java.lang.String subjectTemplate)

### getBodyTemplate

    public java.lang.String getBodyTemplate()

  Specify Velocity template for body of the notification mail. Two variables are pre-defined: build means current build object, and system means current system object. Refer to user's guide for details.

### setBodyTemplate

    public void setBodyTemplate(java.lang.String bodyTemplate)

### getFilesToAttach

    public java.lang.String getFilesToAttach()

  Specify files to be sent as attachments. Multiple files should be separated by space, and single file path containing spaces should be quoted. If the file path is not an absolute one, it will be considered to be relative to current build's artifacts directory. Also OGNL expression can be included in file path as long as they are encapsulated in ${...}.

### setFilesToAttach

    public void setFilesToAttach(java.lang.String filesToAttach)

### getName

    public java.lang.String getName()

  OGNL: Specify name of this notifier.

### setName

    public void setName(java.lang.String name)

### getAdditionalResourceLoaderPath

    public java.lang.String getAdditionalResourceLoaderPath()

  QuickBuild uses templates sub directory under its installation directory as the default resource loader path when evaluates Velocity template of this notifier. However you can specify additional resource loader paths here by inputing one path per line. If paths specified here is not absolute, they will be considered to be relative to current build's artifacts directory. Also OGNL expressions can be inserted in these paths as long as they are encapsulated in ${...}.

### setAdditionalResourceLoaderPath

    public void setAdditionalResourceLoaderPath(java.lang.String additionalResourceLoaderPath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.